From: "Alexis Ballier" <aballier@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ml/zarith/
Date: Thu, 28 Sep 2017 08:42:33 +0000 (UTC) [thread overview]
Message-ID: <1506588067.34e39758c102fa0d6c0e30585d8071f5417d1fd1.aballier@gentoo> (raw)
commit: 34e39758c102fa0d6c0e30585d8071f5417d1fd1
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 28 08:41:07 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Thu Sep 28 08:41:07 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34e39758
dev-ml/zarith: bump to 1.6
Package-Manager: Portage-2.3.10, Repoman-2.3.3
dev-ml/zarith/Manifest | 1 +
dev-ml/zarith/zarith-1.6.ebuild | 52 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-ml/zarith/Manifest b/dev-ml/zarith/Manifest
index f4ded9b4cc6..a5fd6576dec 100644
--- a/dev-ml/zarith/Manifest
+++ b/dev-ml/zarith/Manifest
@@ -1,2 +1,3 @@
DIST zarith-1.4.1.tgz 88831 SHA256 23b6c140aad25385bb0b862b9b9fe8a5c6e6f608d0fac7a688aaede5ea876650 SHA512 ef6717e3b6c19ef94fb0e02eb33b1d9f2b2103a9fe0334cb89b01b344ee953fbeeaed8a75b17daa32760faaf93d582e6778ae50e59e9cf878663f2ecba1d5659 WHIRLPOOL 51fc093160ccd5b26282dc1e4f0da223cf0de49c357d560c45bf839ae1dadc53968b117f6ecb96da722fcda2c669ececbd6ca3fab61c71059f37764bfc602888
DIST zarith-1.5.tar.gz 89211 SHA256 b1d7b7394267a40c933d387131004cf0bc0dbdaea7a981fce865e1ae5d12e40b SHA512 4e616b8cc81cd83f51696926e598be3bcda0bb5999db3cf42dd627cf537320a0216c74eb14c57e57fc21c909df8ef3fb3fa602a7ad633c115d2ee61af5a9fdcd WHIRLPOOL 5f99fc525cd54167f8a6188adf8398003e8728ea9fc04b338dd69a2b0c5cbc943b79b9a5dccc41f7e24a62b00ed9900843a8eca124ab652f6c99240d6620bbdb
+DIST zarith-1.6.tar.gz 89353 SHA256 0ad52b7e8d3791d401a5d64d6f85333d096b32d3ebb9f92e2496fbe64574078e SHA512 a12eacfaa809885f2b0f09ed0fc56d90ebaf9a3d8685db8a41dcaaaa2a9d2410ec96529d8bee653343ea8d51304861dbcf12daba06206a6cf07753ad3b09780d WHIRLPOOL 61f963dadeac8cc1eaef4f783957a34fa6a3507f108c26690fb7ac2aee02744f58b2e2457222d1db937f7d79eca13cbb1cdebfd795f7e3868021c737979e93f1
diff --git a/dev-ml/zarith/zarith-1.6.ebuild b/dev-ml/zarith/zarith-1.6.ebuild
new file mode 100644
index 00000000000..857c5026e9d
--- /dev/null
+++ b/dev-ml/zarith/zarith-1.6.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit findlib eutils toolchain-funcs
+
+DESCRIPTION="Arithmetic and logic operations over arbitrary-precision integers"
+HOMEPAGE="https://github.com/ocaml/Zarith"
+SRC_URI="https://github.com/ocaml/Zarith/archive/release-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="doc mpir +ocamlopt"
+
+RDEPEND="
+ >=dev-lang/ocaml-4:=[ocamlopt?]
+ !mpir? ( dev-libs/gmp:0= )
+ mpir? ( sci-libs/mpir )"
+
+DEPEND="${RDEPEND} dev-lang/perl"
+
+S="${WORKDIR}/Zarith-release-${PV}"
+
+src_configure() {
+ tc-export CC
+ ./configure -host "${CHOST}" \
+ -ocamllibdir "/usr/$(get_libdir)" \
+ -installdir "${ED}/usr/$(get_libdir)/ocaml" \
+ $(usex mpir "-mpir" "-gmp") || die
+}
+
+src_compile() {
+ emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt yes no) all
+ use doc && emake doc
+}
+
+src_test() {
+ if use ocamlopt ; then
+ emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt yes no) tests
+ else
+ ewarn "Tests require USE=ocamlopt. Skipping them."
+ fi
+}
+
+src_install() {
+ findlib_src_preinst
+ emake HASOCAMLOPT=$(usex ocamlopt yes no) HASDYNLINK=$(usex ocamlopt yes no) install
+ dodoc Changes README.md
+ use doc && dohtml html/*
+}
next reply other threads:[~2017-09-28 8:42 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-09-28 8:42 Alexis Ballier [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-10 11:41 [gentoo-commits] repo/gentoo:master commit in: dev-ml/zarith/ Arthur Zamarin
2025-03-08 12:19 Arthur Zamarin
2024-10-15 15:25 Arthur Zamarin
2024-07-15 13:45 Alfredo Tupone
2024-07-15 13:43 Alfredo Tupone
2024-03-01 4:01 Sam James
2024-02-29 23:58 Sam James
2024-02-14 19:47 Arthur Zamarin
2023-09-22 14:09 Maciej Barć
2021-09-12 19:11 Alfredo Tupone
2021-09-12 12:20 Alfredo Tupone
2021-04-18 21:27 Sam James
2021-04-18 6:48 Sam James
2021-04-18 6:47 Sam James
2021-03-15 4:02 Sam James
2021-03-03 14:23 Sam James
2021-02-26 9:39 Agostino Sarubbo
2021-02-26 8:09 Agostino Sarubbo
2021-02-25 7:33 Sam James
2021-01-14 6:38 Alfredo Tupone
2021-01-11 23:04 Sam James
2020-11-01 11:24 Sam James
2020-10-26 7:13 Alfredo Tupone
2020-10-25 23:19 Thomas Deutschmann
2020-10-22 13:59 Sam James
2020-10-22 13:59 Sam James
2020-09-07 8:20 Sergei Trofimovich
2020-03-27 12:50 Alfredo Tupone
2020-03-27 12:39 Alfredo Tupone
2020-02-17 18:22 Alfredo Tupone
2020-02-17 18:20 Alfredo Tupone
2018-12-15 9:19 Mikle Kolyada
2017-10-17 6:04 Alexis Ballier
2017-09-10 18:00 Sergei Trofimovich
2017-09-10 18:00 Sergei Trofimovich
2017-07-09 8:20 Alexis Ballier
2017-05-26 13:53 Alexis Ballier
2017-02-23 1:14 Andrew Savchenko
2016-02-07 16:14 Alexis Ballier
2015-11-12 18:30 Alexis Ballier
2015-11-05 8:46 Alexis Ballier
2015-10-17 16:25 Alexis Ballier
2015-09-19 14:03 Alexis Ballier
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1506588067.34e39758c102fa0d6c0e30585d8071f5417d1fd1.aballier@gentoo \
--to=aballier@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox